Create Usb Print Job
POST https://www.expedy.fr/api/v2/devices/{device_uid}/usb/{usb_port}/print
This endpoint allows you to send a print job to any configured printer connected to one of your device's usb port. Use /usb/conf or usb/scan/read for details about each connected printer, if any are
Authentication
This endpoint requires an Authorization header with a valid API key.
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
device_uid |
string |
Yes | The Device's unique id, as found in your Expedy account |
usb_port |
string |
Yes |
Request Body
Content-Type: application/json
| Parameter | Type | Required | Description |
|---|---|---|---|
usb_msg |
string |
Yes | (ex: The message to be printed:\n - ... in the kitchen,\n - ... in the lobby\n - ... or a delivery slip pdf url to be printed at the pick & pack departement\n\nReally any information, Qrcode, Image etc.. anywhere this printer is positionnable ...) |
notification_url |
string |
No | (ex: https://www.my_domaine.tld/my_callback_script) |
origin |
string |
No |
Request Example:
{
"usb_msg": "The message to be printed:\n - ... in the kitchen,\n - ... in the lobby\n - ... or a delivery slip pdf url to be printed at the pick & pack departement\n\nReally any information, Qrcode, Image etc.. anywhere this printer is positionnable ...",
"notification_url": "https://www.my_domaine.tld/my_callback_script",
"origin": "Your defined origin tag.. a uri, a name .."
}
Response 200
OK
| Parameter | Type | Required | Description |
|---|---|---|---|
last_ping |
integer |
No | (ex: 1641509604) |
request_uid |
string |
No | (ex: 1X5ERXL94BYVWHP92DK3MCASUGJ) |
Response Example:
{
"last_ping": 1641509604,
"request_uid": "1X5ERXL94BYVWHP92DK3MCASUGJ"
}